<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  extension-element-prefixes="java"
  exclude-result-prefixes="java">
  
  <xsl:variable name="mode">cd</xsl:variable>
  <xsl:output method="html"/>
  <xsl:include href="common.xsl"/>
  
  <xsl:template match="Manual">
    <html>
      <head><title><xsl:value-of select="Title/Text"/></title></head>
      <link rel="stylesheet" href="../../style.css" type="text/css"/>
      <body>
	<h2><xsl:apply-templates select="Heading/Text"/></h2>
	<h1><xsl:apply-templates select="Title/Text"/></h1>
	
	<xsl:apply-templates select="Author"/>
	<xsl:apply-templates select="Affiliation"/>
  <xsl:apply-templates select="Text"/>
	<xsl:apply-templates select="Comment"/>
	<xsl:call-template name="version_and_date"/>		<br/>

	<xsl:apply-templates select="Section" mode="preface"/>
		
	<dl>
	  <xsl:apply-templates select="Chapter"/>
	</dl>
  </body>
</html>
</xsl:template>

  <xsl:template match="Chapter">
    <dt><a href="Chapter_{@id}.htm"><xsl:apply-templates select="Title/Text"/></a></dt>
    <dd><xsl:for-each select="Title">
			<xsl:apply-templates/><br/>
			</xsl:for-each>
    </dd>
  </xsl:template>
</xsl:stylesheet>
